# PowerShell Script for URL and Network Testing

This PowerShell script performs comprehensive network tests for a specified URL, including HTTP status checks, ping tests (IPv4 and IPv6), traceroute, and NSLookup. The results are automatically sent to a Hastebin server for logging, and a notification is pushed to a configured ntfy server.

## How to Use the Script

1. **Download and Save the Script**: Save the provided PowerShell script to a file on your computer, such as `TestUrl.ps1`.

2. **Open PowerShell**: Run PowerShell with the necessary permissions to execute scripts.

3. **Run the Script with a URL Argument**: Use the following command to run the script, replacing `example.com` with the target URL you wish to test:

   ```powershell
   Unblock-File TestUrl.ps1
   .\TestUrl.ps1 -url "example.com"
   ```

   Make sure to provide the URL without the `https://` prefix when performing network tests like ping and traceroute.

4. **View the Results**: The script will perform several network tests on the specified URL, send the logs to your Hastebin server, and push a notification to your ntfy server with a link to the log and test details.

## Requirements

- This script uses only default Windows tools (e.g., `Test-Connection`, `tracert`, `nslookup`) and does not require any additional installations.
- Make sure your network settings allow the use of PowerShell for sending HTTP requests and running network commands like ping and traceroute.